/*
 * StopBehavior.h
 *
 *  Created on: 16.11.2011
 *      Author: sergey
 */

#ifndef STOPBEHAVIOR_H_
#define STOPBEHAVIOR_H_

#include "Behaviour.h"

/** @brief A secondary goal for the manipulator: keeps the arm close to a desired configuration.
 * The behavior acts in configuration space.
 */
class StopBehavior: public Behaviour {
public:
        StopBehavior(Transformhandler* ReferenceTransformhandler,
			TaskLevelController* OwningTaskLevelController);
	virtual ~StopBehavior();
	const torqueVector& getTorque();
protected:
	  void calculateReferenceAcceleration();

	double myMultiplier;
	double CloseToValueZone;
	cVector desiredAngleValues_init;

};

#endif /* STOPBEHAVIOR_H_ */
